export enum TaskStatus {
  All = 0,
  WaitSign = 10,
  Effect = 20,
  Terminated = 30,
}

export const TaskStatusText = {
  [TaskStatus.All]: '全部',
  [TaskStatus.WaitSign]: '待签约',
  [TaskStatus.Effect]: '生效中',
  [TaskStatus.Terminated]: '已终止',
};

export const TaskStatusColor = {
  [TaskStatus.WaitSign]: '#FF7D00',
  [TaskStatus.Effect]: '#3A71FF',
  [TaskStatus.Terminated]: '#9FA4AC',
};

export enum FlexTaskFeeTypeEnum {
  /**
   * 按月
   */
  OfMonth = 10,
  /**
   * 按日
   */
  OfDay = 20,
  /**
   * 按时
   */
  OfHour = 30,
  /**
   * 计件
   */
  OfCount = 40,
}

export const FlexTaskFeeTypeEnumText = {
  [FlexTaskFeeTypeEnum.OfMonth]: '按月',
  [FlexTaskFeeTypeEnum.OfDay]: '按日',
  [FlexTaskFeeTypeEnum.OfHour]: '按时',
  [FlexTaskFeeTypeEnum.OfCount]: '计件',
};

export const SalaryTimeTypeEnumUnit = {
  [FlexTaskFeeTypeEnum.OfMonth]: '元/月',
  [FlexTaskFeeTypeEnum.OfDay]: '元/日',
  [FlexTaskFeeTypeEnum.OfHour]: '元/小时',
  [FlexTaskFeeTypeEnum.OfCount]: '元/件',
};

export enum FlexTaskSettleTypeEnum {
  /**
   * 月结
   */
  OfMonth = 10,
  /**
   * 周结
   */
  OfWeek = 20,
  /**
   * 日结
   */
  OfDay = 30,
}

export const FlexTaskSettleTypeEnumText = {
  [FlexTaskSettleTypeEnum.OfMonth]: '月结',
  [FlexTaskSettleTypeEnum.OfWeek]: '周结',
  [FlexTaskSettleTypeEnum.OfDay]: '日结',
};

export enum FlexTaskReleaseStatusEnum {
  /**
   * 发布中
   */
  Releasing = 10,
  /**
   * 已停止
   */
  Stoping = 20,
}

export const FlexTaskReleaseStatusEnumText = {
  [FlexTaskReleaseStatusEnum.Releasing]: '发布中',
  [FlexTaskReleaseStatusEnum.Stoping]: '已停止',
};

export enum FlexTaskWorkerHireEnum {
  /**
   * 待处理
   */
  Wait = 10,
  /**
   * 已录用
   */
  Hired = 20,
  /**
   * 已谢绝
   */
  Refused = 30,
}

export const FlexTaskWorkerHireEnumText = {
  [FlexTaskWorkerHireEnum.Wait]: '待处理',
  [FlexTaskWorkerHireEnum.Hired]: '已录用',
  [FlexTaskWorkerHireEnum.Refused]: '已谢绝',
};

export enum FlexTaskCheckAcceptStatusEnum {
  /**
   * 待验收
   */
  Wait = 10,
  /**
   * 验收通过
   */
  Passed = 20,
  /**
   * 验收未通过
   */
  Refused = 30,
}

export const FlexTaskCheckAcceptStatusEnumText = {
  [FlexTaskCheckAcceptStatusEnum.Wait]: '待验收',
  [FlexTaskCheckAcceptStatusEnum.Passed]: '验收通过',
  [FlexTaskCheckAcceptStatusEnum.Refused]: '验收未通过',
};
